#pragma once
#include "ioport.hpp"

namespace JabyEngine {
    namespace Periphery_IO {
        __declare_io_value(JOY_MODE, uint16_t) {
            static constexpr JOY_MODE create() {
                return JOY_MODE{0x000D};
            }
        };

        __declare_io_value(JOY_BAUD, uint16_t) {
            static constexpr JOY_BAUD create() {
                return JOY_BAUD{0x0088};
            }
        };

        __declare_io_port(, JOY_MODE, 0x1F801048);
        __declare_io_port(, JOY_BAUD, 0x1F80104E);
    }
}